E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::Cleanup::Block Struct Reference

A RAII class to temporarily block signal delivery. More...

`#include <gcleanup.h>`

## Public Member Functions
| Block (bool active=true) noexcept
| Block (const Block &)=delete
| Block (Block &&)=delete
void | operator= (const Block &)=delete
void | operator= (Block &&)=delete

## Public Attributes
bool | m_active

## Detailed Description

A RAII class to temporarily block signal delivery.

Definition at line 43 of file gcleanup.h.

## Constructor & Destructor Documentation

## ◆ Block()

G::Cleanup::Block::Block | ( | bool | active = `true` | ) |
| inline explicit noexcept

Definition at line 92 of file gcleanup.h.

## ◆ ~Block()

G::Cleanup::Block::~Block | ( |  | ) |
| inline

Definition at line 100 of file gcleanup.h.

## Member Data Documentation

## ◆ m_active

bool G::Cleanup::Block::m_active

Definition at line 47 of file gcleanup.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gcleanup.h